%global evo_base_version 3.2

Name: evolution-ews
Version: 3.2.3
Release: 1%{?dist}
Group: Applications/Productivity
Summary: Evolution extension for Exchange Web Services
License: LGPLv2
URL: http://projects.gnome.org/evolution
Source: http://download.gnome.org/sources/%{name}/3.2/%{name}-%{version}.tar.xz

BuildRequires: evolution-devel >= %{version}
BuildRequires: evolution-data-server-devel >= %{version}
BuildRequires: intltool

%description
This package allows Evolution to interact with Microsoft Exchange servers,
versions 2007 and later, through its Exchange Web Services (EWS) interface.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove files we don't want packaged (no devel subpackage).
rm -r $RPM_BUILD_ROOT%{_includedir}/evolution-data-server-%{evo_base_version}/
rm $RPM_BUILD_ROOT%{_libdir}/evolution-data-server-%{evo_base_version}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/evolution-data-server-%{evo_base_version}/*.so
rm $RPM_BUILD_ROOT%{_libdir}/evolution-data-server/*/*.la
rm $RPM_BUILD_ROOT%{_libdir}/evolution/%{evo_base_version}/plugins/*.la
rm $RPM_BUILD_ROOT%{_libdir}/liblzx.la
rm $RPM_BUILD_ROOT%{_libdir}/liblzx.so
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_libdir}/evolution-data-server-%{evo_base_version}/libeews-1.2.so.*
%{_libdir}/evolution-data-server-%{evo_base_version}/libewsutils.so.*
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%{_libdir}/evolution/%{evo_base_version}/plugins/liborg-gnome-exchange-ews.so
%{_libdir}/evolution/%{evo_base_version}/plugins/org-gnome-exchange-ews.eplug

# XXX For now this is a private library even though it lives
#     directly in LIBDIR.  Nothing else should be using it.
%{_libdir}/liblzx.so.*

%changelog
* Mon Jan 09 2012 Milan Crha <mcrha@redhat.com> - 3.2.3-1
- Update to 3.2.3

* Mon Nov 14 2011 Milan Crha <mcrha@redhat.com> - 3.2.2-1
- Update to 3.2.2

* Wed Nov 07 2011 Matthew Barnes <mbarnes@redhat.com> - 3.2.1-1
- Initial packaging for Fedora 16.

